.\"	$NetBSD: binpatch.8,v 1.6 2001/09/05 23:53:23 wiz Exp $
.\"
.\" Copyright (c) 1994 Christian E. Hopps
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"      This product includes software developed by Christian E. Hopps.
.\" 4. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd February 2, 1994
.Dt BINPATCH 8 amiga
.Os
.Sh NAME
.Nm binpatch
.Nd "examine and or modify initialized data in a binary file"
.Sh SYNOPSIS
.Nm binpatch
.Op Fl b | Fl w | Fl l
.Op Fl o Ar offset
.Fl s Ar symname
.Op Fl r Ar value
.Ar binfile
.Nm binpatch
.Op Fl b | Fl w | Fl l
.Op Fl o Ar offset
.Fl a Ar addr
.Op Fl r Ar value
.Ar binfile
.Sh DESCRIPTION
.Nm
is used to modify or examine the data associated with a symbol in a binary
file
.Ar binfile .
The flags
.Fl b ,
.Fl w
and
.Fl l
specify the size of the data to be modified or examined
(byte, word and long respectively.)  The
.Ar binfile
is scanned in search of the symbol
.Ar symname
(specified with the
.Fl s
flag)
If the symbol is found the current data and address are printed.  Next if the
.Fl r
flag has been given, the current data is replaced with that of
.Ar value .
.Pp
If the second form is used the address
.Ar addr
specified with the
.Fl a
flag is used as a direct address into the data section of the binary and
no symbol search is performed.
.Pp
The
.Fl o
flag specifies an offset in byte, word or long
.Fl ( b ,
.Fl w ,
or
.Fl l )
units from the given locator
.Fl ( s
or
.Fl a )
for
.Nm
to perform its described actions.
